using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using LZBS.BLL;
using LZBS.Model;
using LZBS.Common;

namespace LZBS.Web
{
    public partial class PersonalInfo1 : System.Web.UI.Page
    {
        M_Member model = new M_Member();
        B_Member bll = new B_Member();
        DataTable dt = new DataTable();
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request.Cookies["MemberID"] == null)
                {
                    Response.Redirect("Login.aspx", true);
                }
                model.MemberID = Request.Cookies["MemberID"].Value.ToString();
                dt = bll.QueryMemberInfo(model);
                lblMemberID.Text = Request.Cookies["MemberID"].Value.ToString();
                lblName.Text = dt.Rows[0]["MemberName"].ToString();
                lblSex.Text = dt.Rows[0]["Sex"].ToString();
                lblPhone.Text = dt.Rows[0]["Phone"].ToString();
                lblTel.Text = dt.Rows[0]["Tel"].ToString();
                lblEmail.Text = dt.Rows[0]["Email"].ToString();
                lblQQ.Text = dt.Rows[0]["QQ"].ToString();
            }
        }

        protected void btnChange_Click(object sender, EventArgs e)
        {
            Response.Redirect("EditInfo.aspx");
        }
    }
}
